using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Data;
using Telerik.Windows.Controls;

using System.Windows.Threading;
using System.Threading;

namespace _698547_RadGridView_WPF_AR_53
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        DispatcherTimer Timer;
        public MainWindow()
        {
            InitializeComponent();
            Timer = new DispatcherTimer();
            Timer.Interval = TimeSpan.FromSeconds(0.3);
            Timer.Tick += new EventHandler(Timer_Tick);       
        }

     

        private void clubsGrid_PreviewMouseDown(object sender, MouseButtonEventArgs e)
        {
            if (e.ClickCount == 1)
                Timer.Start();
            else
            {
                Timer.Stop();
                Action2();
            }
        }

        void Timer_Tick(object sender, EventArgs e)
        {
            Timer.Stop();
            Action1();
        }
        private void Action1()
        {
            MessageBox.Show("Action1");
        }
        private void Action2()
        {
            MessageBox.Show("Action2");
        }

    }
}
